Summary: General dimension convex hull programs
Name:    qhull
Version: 2010.1
Release: 1%{?dist}
License: Qhull
Group:   System Environment/Libraries
URL:     http://www.qhull.org
Source0: http://www.qhull.org/download/qhull-%{version}-src.tgz
# using config from git: qhull/config
# using Makefile.txt from git: qhull/src/Makefile.txt
# git clone git://gitorious.org/qhull/qhull.git
Source1: config.tar.gz
Source2: Makefile.txt
Source3: makefile
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:    autoconf, libtool, cmake
Requires(post):   /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description
Qhull is a general dimension convex hull program that reads a set
of points from stdin, and outputs the smallest convex set that contains
the points to stdout.  It also generates Delaunay triangulations, Voronoi
diagrams, furthest-site Voronoi diagrams, and halfspace intersections
about a point.

%package devel
Group: Development/Libraries
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}

%description devel
This package contains development files for %{name}.

%prep
%setup -q -a0 -a1
sed -i -e "s,\"../html/,\"html/,g" src/*.htm

%build
sh config/bootstrap.sh
gcc_ver=`gcc --version | head -1 | awk '{print $3}'`
if [[ $gcc_ver < 4.4 ]]; then
export CFLAGS="%{optflags} -fno-strict-aliasing"
fi
%configure 
cp -a %{SOURCE2} src/Makefile.txt
make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} \
     docdir=%{_docdir}/%{name}-%{version} install
  
rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_docdir}/%{name}-%{version}/examples/*.bat
cp -a %{SOURCE3} %{buildroot}%{_docdir}/%{name}-%{version}/examples/Makefile.examples
cp -a %{_builddir}/%{name}-%{version}/src/qhull.h %{buildroot}%{_includedir}/%{name}
pushd %{buildroot}%{_docdir}/%{name}-%{version}
mv examples ../..
popd

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc %{_docdir}/%{name}-%{version}
%{_bindir}/qconvex
%{_bindir}/qdelaunay
%{_bindir}/qhalf
%{_bindir}/qhull
%{_bindir}/qvoronoi
%{_bindir}/rbox
%{_libdir}/libqhull.so.*
%{_mandir}/man1/*

%files devel
%defattr(-,root,root,-)
%doc %{_datadir}/examples
%{_includedir}/%{name}
%{_libdir}/libqhull.so
%{_libdir}/libqhull.a

%changelog
* Sun Jan 08 2011 Paulo Roma <roma@lcg.ufrj.br> - 2010.1-1
- Updated to 2010.1
- Removed deprecated patches.
- Using config from git.

* Tue Feb 02 2010 Ralf Corsépius <corsepiu@fedoraproject.org> - 2003.1-14
- Apply upstream's qh_gethash patch
- Silence %%setup.
- Remove rpath.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2003.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2003.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu May 22 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2003.1-11
- fix license tag

* Tue Mar 04 2008 Ralf Corsépius <rc040203@freenet.de> - 2003.1-10
- Add qhull-2003.1-alias.patch (BZ 432309)
  Thanks to Orion Poplawski (orion@cora.nwra.com).

* Sun Feb 10 2008 Ralf Corsépius <rc040203@freenet.de> - 2003.1-9
- Rebuild for gcc43.

* Wed Aug 22 2007 Ralf Corsépius <rc040203@freenet.de> - 2003.1-8
- Mass rebuild.

* Wed Jun 20 2007 Ralf Corsépius <rc040203@freenet.de> - 2003.1-7
- Remove *.la.

* Tue Sep 05 2006 Ralf Corsépius <rc040203@freenet.de> - 2003.1-6
- Mass rebuild.

* Fri Feb 17 2006 Ralf Corsépius <rc040203@freenet.de> - 2003.1-5
- Disable static libs.
- Fixup some broken links in doc.
- Add %%{?dist}.

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 2003.1-4
- rebuild on all arches

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sun Aug 08 2004 Ralf Corsepius <ralf[AT]links2linux.de>       - 2003.1-0.fdr.2
- Use default documentation installation scheme.

* Fri Jul 16 2004 Ralf Corsepius <ralf[AT]links2linux.de>       - 2003.1-0.fdr.1
- Initial Fedora RPM.
